---
search:
  tags:
    - Verifications
    - GET
seo:
  description: >-
    Retrieve a verification. Reference for the GET /verifications/{id} endpoint
    in the BillionSend API.
sidebar:
  label: Retrieve a verification
  badge: GET
title: Retrieve a verification
type: openapi-operation
---
`GET /verifications/{id}`

**Responses**

- `200` — One verification run: its status, and its results once completed
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "verification",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "status": "queued",
  "failure_reason": "timeout",
  "total": 0,
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "billable": 0,
  "grant_used": 0,
  "metered": 0,
  "created_at": "string",
  "finished_at": "string"
}
```
